import React, { useState } from 'react';
import './NavBar.css'; 
import { SocialIcons } from './SocialIcons';

const NavBar = () => {
  const [isOpen, setIsOpen] = useState(false);


  const toggleMenu = () => {
    setIsOpen(!isOpen);
  };

  return (
    
    <nav className="navbar">
      <div className="navbar-container">
      
        <div className="hamburger" onClick={toggleMenu}>
          <span className="line"></span>
          <span className="line"></span>
          <span className="line"></span>
        </div>

        
        <ul className={`nav-links ${isOpen ? 'open' : ''}`}>
          <li><a href="#home">Home</a></li>
          <li><a href="#books">Books</a></li>
          <li><a href="#newsletter">Newsletter</a></li>
        </ul>

        <SocialIcons />
      </div>
    </nav>
  );
};

export default NavBar;
