import React from "react";
import { useEffect, useState } from "react";
import axios from "axios";
import { toast } from "react-toastify";
import UserItem from "./UserItem";


const URL="https://randomuser.me/api/?results=10";

const Users = () => {
    
    const [randomUsers, setRandomUsers] = useState([]);
    const [isLoading, setIsLoading] = useState(true);
    
    const fetchUsers = () => {
        axios
            .get(URL)
            .then((response) => {
                setIsLoading(false);
                setRandomUsers(response.data.results);
            })
            .catch((error) => {
                return toast.error(error.response.data);
            });
    };

    useEffect(() => {
        fetchUsers();
    }, []);

    if(isLoading){
        return <h4>Loading...</h4>
    }

    return (
        <section>
            <h2>Board of Global Executives</h2>
            <div className="user-container">
                {randomUsers.map((user) => {
                    return <UserItem user={user} key={user.login.uuid} />
                })}
            </div>
        </section>
    );
};

export default Users;
